package de.intevation.flys.client.shared.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


public class Capabilities implements Serializable {

    protected String fees;
    protected String accessConstraints;

    protected List<String> layers;


    public Capabilities() {
        layers = new ArrayList<String>();
    }


    /**
     * @param fees
     * @param accessConstraints
     * @param layers
     */
    public Capabilities(
        String       fees,
        String       accessConstraints,
        List<String> layers
    ) {
        this.fees              = fees;
        this.accessConstraints = accessConstraints;
        this.layers            = layers;
    }


    public String getFees() {
        return fees;
    }


    public String getAccessConstraints() {
        return accessConstraints;
    }


    public List<String> getLayers() {
        return layers;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
